#import <Cocoa/Cocoa.h>


/**
	This class is the directory data source. It's responsible for giving access
	to the directory structure of the computer, and only this.
*/
@interface DirectoryDataSource
	: NSObject < NSOutlineViewDataSource >
{

@private

	NSMutableArray *	mRootDirectories;
	NSOutlineView *		mDirectoryBrowserView;

}

@property (assign) IBOutlet NSOutlineView * directoryBrowserView;

-(id)init;
-(void)dealloc;

// NSOutlineViewDataSource protocol implementation
-(id)outlineView:(NSOutlineView *)outlineView child:(NSInteger)index ofItem:(id)item;
-(BOOL)outlineView:(NSOutlineView *)outlineView isItemExpandable:(id)item;
-(NSInteger)outlineView:(NSOutlineView *)outlineView numberOfChildrenOfItem:(id)item;
-(id)outlineView:(NSOutlineView *)outlineView objectValueForTableColumn:(NSTableColumn *)tableColumn byItem:(id)item;

@end
