#import <Cocoa/Cocoa.h>


/**
	This is the class used to represent a directory. It has a tree structure.
*/
@interface DirectoryItem
	: NSObject
{

@private

	NSString *			mPath;
	NSMutableArray *	mChildren;
	NSString *			mName;
	int					mNumImages;
	int					mNumChildren;
	BOOL				mCanExpand;
	NSArray *			mCachedContent;

}

@property (readonly)	NSString *	path;
@property (readonly)	NSString *	name;
@property (readwrite)	int			numImages;

+(DirectoryItem *)itemWithPath:(NSString *)path;
-(DirectoryItem *)initWithPath:(NSString *)path;
-(void)dealloc;
-(int)numChildren;
-(NSMutableArray *)children;
-(BOOL)canExpand;

@end
