#import <Cocoa/Cocoa.h>


@class ImageBrowser;
@class IKImageBrowserView;


/**
	This is the image data source. It's responsible for giving access to all
	the images contained in a single folder.
*/
@interface ImageDataSource
	: NSObject
{

@private

	NSMutableArray *	mImages;
	NSMutableArray *	mImportedImages;
	NSString *			mCurrentDirectory;
	ImageBrowser *		mImageBrowser;

}

@property (assign)		IBOutlet ImageBrowser * imageBrowser;
//@property (readwrite)	int						imageCount;

-(id)init;
-(void)dealloc;

// this is used to bind the directory browser and the image data source
-(NSString *)currentDirectory;
-(void)setCurrentDirectory:(NSString *)path;

-(BOOL)imageCount;
-(void)setImageCount:(BOOL)imageCount;

// these are internally used
-(void)addImagesInPath:(NSString *)path;
-(void)updateDatasource;

// implementation of IKImageBrowserDataSource protocol
-(NSUInteger)numberOfItemsInImageBrowser:(IKImageBrowserView *)view;
-(id)imageBrowser:(IKImageBrowserView *)view itemAtIndex:(NSUInteger)index;
-(void)imageBrowser:(IKImageBrowserView *)aBrowser removeItemsAtIndexes:(NSIndexSet *)indexes;

// utility
-(int)indexOfImage:(NSString *)image;
-(NSArray *)imagesAtIndexes:(NSIndexSet *)indexes;

@end
