#import <AppKit/AppKit.h>


@class DirectoryItem;


/**
	\brief this class is used to draw a directory browser's cell
	In the directory browser's class, we use this class instead of
	the default one so that we can customize its aspect.
	For example, use a custom icon for each item, display the number
	of images contained in a directory, etc.
*/
@interface DirectoryBrowserCell
	: NSCell
{

@private

	NSImage *	mImage;
	int			mNumImages;

}

@property (retain) NSImage *	image;
@property (assign) int			numImages;

+(DirectoryBrowserCell *)cellWithItem:(DirectoryItem *)item;
-(void)dealloc;
-(id)copyWithZone:(NSZone *)zone;
-(void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;

@end
