#import <Cocoa/Cocoa.h>


/**
	This class is used to delegate a few actions of the NSOutlineView. It allows
	us to customize the NSOutlineView without having to actually override it.
	For example, this class gets notified when the selection changes, or when
	we want to provide a custom cell to display informations, etc.
*/
@interface DirectoryBrowserDelegate
	: NSObject < NSOutlineViewDelegate >
{

@private

	NSString *	mCurrentDirectory;

}

@property (copy) NSString * currentDirectory;

-(id)init;
-(void)dealloc;

-(void)outlineViewSelectionDidChange:(NSNotification *)notification;
-(NSCell *)outlineView:(NSOutlineView *)outlineView
		   dataCellForTableColumn:(NSTableColumn *)tableColumn
		   item:(id)item;

@end
